Job Groups
List Job Groups
List the caller's job groups, newest first. Expired OPEN groups are lazily auto-closed during listing.
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Query Parameters
statusenum<string>Available options:
OPEN, CLOSED, COMPLETED, FAILED, CANCELLEDpageintegerdefault: 1limitintegerdefault: 50Response
200Success.
successbooleanrequireddataobject[]requiredcurl --request GET \
--url https://api-v2.qbraid.com/api/v1/jobs/group \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs/group"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs/group";
const options = {
method: "GET",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": [
{
"_id": "<string>",
"groupJobQrn": "group:a1b2-664f0c1e2a3b4c5d6e7f8090",
"name": "<string>",
"status": "OPEN",
"organizationUserId": "<string>",
"jobCount": 123,
"completedCount": 123,
"failedCount": 123,
"cancelledCount": 123,
"totalEstimatedCost": 123,
"totalCost": 123,
"maxTTL": 123,
"timeStamps": {
"createdAt": "2024-01-01T00:00:00Z",
"endedAt": "2024-01-01T00:00:00Z",
"executionDuration": 123
},
"tags": {},
"metadata": {}
}
]
}GET
List job groups
List job groups
Response
Fill in the request and press Send to see the live response.Was this page helpful?
Thanks for your feedback.

